package com.eurosms.speedtest44;

import android.util.Log;
import android.view.View;

public class FTPTestOnClickListener implements View.OnClickListener {
    private FTPSpeedTest speedTest;
    private MainActivity main;

    public FTPTestOnClickListener(MainActivity main) {
        this.main = main;
    }


   
    @Override
    public void onClick(View view) {
       
        

        if (speedTest == null){
            speedTest = new FTPSpeedTest(main);
        } else {
            speedTest.reset();
            speedTest = null;

            speedTest = new FTPSpeedTest(main);
        }
        speedTest.execute();
        
    }
}
